                      Computer Science 825
                         Quiz 4              Name _______________________

1. If K stations share a CSMA-CD bus and the probability that any station
   will transmit on a given contention slot is "p", then the probability
   that a successful transmission will take place in a slot is:

   a. p                           c. p * k * (1 - k) ** (p - 1)

   b. k * p * (1 - p) ** (k - 1)  d. None of the above.


2. If the probability computed above is denoted A, then the probability that
   a contention interval will last exactly j slots is:

   a. A ** j                       c. A / j

   b. (1 - A) ** (j - 1)           d. None of the above.


3. Suppose the adaptive tree walk protocol is in use (see the tree on the
   board) and stations 0, 2, 3, 6, 7 all become ready. Write down the
   "sequence of events" describing the use of each contention slot until
   all stations have transmitted: Use the following notation:
   C(1,5,6),T(2),N,...  to describe what occurs in each slot.





4. Indicate whether each of the following statements is True or False:

   ___ a. Ethernet is a CSMA-CD Lan.

   ___ b. Ethernet is non-persistent.

   ___ c. The mean amount of time each ethernet station waits after
          a collision increases by 2 after each successive collision.

   ___ d. IEEE assigned Ethernet station addresses are 48 bits long.



5. For the IEEE token bus match the control packets with the condtions
   underwhich they are used.

   ____ a. A station is powered up, listens     1. SOLICIT_SUCCESSOR_2
           for the token and doesn't hear one.
                                                2. WHO_FOLLOWS
   ____ b. A station wishes to leave the net.
                                                3. SET_SUCCESSOR

   ____ c. A station transmits the token twice  4. RESOLVE_CONTENTION
           without hearing its successor
           transmit a token or a packet.        5. CLAIM_TOKEN

   ____ d. A station wishes to invite a new     6. SOLICIT_SUCCESSOR
           station to enter the network.

6. In the IEEE token bus stations transmit the token in station addresss
   order. Could the protocol be made to work at all if that restriction
   were removed. If not, why not. If so, what functions would be made
   more complex or less efficient.
